OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
StreamMetadata Class Reference

Container for metadata describing how to unserialize grids from and/or serialize grids to a stream (which file format, compression scheme, etc. to use) More...

`#include <io.h>`

## Public Types
using | Ptr = SharedPtr< StreamMetadata >
using | ConstPtr = SharedPtr< const StreamMetadata >
using | AuxDataMap = std::map< std::string, boost::any >

## Public Member Functions
| StreamMetadata ()
| StreamMetadata (const StreamMetadata &)
| StreamMetadata (std::ios_base &)
| ~StreamMetadata ()
StreamMetadata & | operator= (const StreamMetadata &)
void | transferTo (std::ios_base &) const
| Transfer metadata items directly to the given stream. More...
uint32_t | fileVersion () const
void | setFileVersion (uint32_t)
VersionId | libraryVersion () const
void | setLibraryVersion (VersionId)
uint32_t | compression () const
void | setCompression (uint32_t)
uint32_t | gridClass () const
void | setGridClass (uint32_t)
const void * | backgroundPtr () const
void | setBackgroundPtr (const void *)
bool | halfFloat () const
void | setHalfFloat (bool)
bool | writeGridStats () const
void | setWriteGridStats (bool)
bool | seekable () const
void | setSeekable (bool)
bool | countingPasses () const
void | setCountingPasses (bool)
uint32_t | pass () const
void | setPass (uint32_t)
std::string | str () const
| Return a string describing this stream metadata. More...
MetaMap & | gridMetadata ()
| Return a (reference to a) copy of the metadata of the grid currently being read or written. More...
const MetaMap & | gridMetadata () const
| Return a (reference to a) copy of the metadata of the grid currently being read or written. More...
AuxDataMap & | auxData ()
| Return a map that can be populated with arbitrary user data. More...
const AuxDataMap & | auxData () const
| Return a map that can be populated with arbitrary user data. More...

## Detailed Description

Container for metadata describing how to unserialize grids from and/or serialize grids to a stream (which file format, compression scheme, etc. to use)

This class is mainly for internal use.

## Member Typedef Documentation

## ◆ AuxDataMap

using AuxDataMap = std::map<std::string, boost::any>

## ◆ ConstPtr

using ConstPtr = SharedPtr<const StreamMetadata>

## ◆ Ptr

using Ptr = SharedPtr<StreamMetadata>

## Constructor & Destructor Documentation

## ◆ StreamMetadata() [1/3]

StreamMetadata | ( |  | ) |

## ◆ StreamMetadata() [2/3]

StreamMetadata | ( | const StreamMetadata & |  | ) |

## ◆ StreamMetadata() [3/3]

StreamMetadata | ( | std::ios_base & |  | ) |
| explicit

## ◆ ~StreamMetadata()

~StreamMetadata | ( |  | ) |

## Member Function Documentation

## ◆ auxData() [1/2]

AuxDataMap& auxData | ( |  | ) |

Return a map that can be populated with arbitrary user data.

## ◆ auxData() [2/2]

const AuxDataMap& auxData | ( |  | ) | const

Return a map that can be populated with arbitrary user data.

## ◆ backgroundPtr()

const void* backgroundPtr | ( |  | ) | const

## ◆ compression()

uint32_t compression | ( |  | ) | const

## ◆ countingPasses()

bool countingPasses | ( |  | ) | const

## ◆ fileVersion()

uint32_t fileVersion | ( |  | ) | const

## ◆ gridClass()

uint32_t gridClass | ( |  | ) | const

## ◆ gridMetadata() [1/2]

MetaMap& gridMetadata | ( |  | ) |

Return a (reference to a) copy of the metadata of the grid currently being read or written.

Some grid metadata might duplicate information returned by gridClass(), backgroundPtr() and other accessors, but those values are not guaranteed to be kept in sync.

## ◆ gridMetadata() [2/2]

const MetaMap& gridMetadata | ( |  | ) | const

Return a (reference to a) copy of the metadata of the grid currently being read or written.

Some grid metadata might duplicate information returned by gridClass(), backgroundPtr() and other accessors, but those values are not guaranteed to be kept in sync.

## ◆ halfFloat()

bool halfFloat | ( |  | ) | const

## ◆ libraryVersion()

VersionId libraryVersion | ( |  | ) | const

## ◆ operator=()

StreamMetadata& operator= | ( | const StreamMetadata & |  | ) |

## ◆ pass()

uint32_t pass | ( |  | ) | const

## ◆ seekable()

bool seekable | ( |  | ) | const

## ◆ setBackgroundPtr()

void setBackgroundPtr | ( | const void * |  | ) |

## ◆ setCompression()

void setCompression | ( | uint32_t |  | ) |

## ◆ setCountingPasses()

void setCountingPasses | ( | bool |  | ) |

## ◆ setFileVersion()

void setFileVersion | ( | uint32_t |  | ) |

## ◆ setGridClass()

void setGridClass | ( | uint32_t |  | ) |

## ◆ setHalfFloat()

void setHalfFloat | ( | bool |  | ) |

## ◆ setLibraryVersion()

void setLibraryVersion | ( | VersionId |  | ) |

## ◆ setPass()

void setPass | ( | uint32_t |  | ) |

## ◆ setSeekable()

void setSeekable | ( | bool |  | ) |

## ◆ setWriteGridStats()

void setWriteGridStats | ( | bool |  | ) |

## ◆ str()

std::string str | ( |  | ) | const

Return a string describing this stream metadata.

## ◆ transferTo()

void transferTo | ( | std::ios_base & |  | ) | const

Transfer metadata items directly to the given stream.

## ◆ writeGridStats()

bool writeGridStats | ( |  | ) | const

The documentation for this class was generated from the following file:

- io.h